
function OnInit() //run upon initialization

	this:Data():SetIfNull("CreatureName", 'unknown');
end

function OnPostInit() //run during the entity's first logic update

end

function OnKill() //run when removed

end

function GetCreatureName()
	return this:Data():Get("CreatureName");
end

